Get an employee payroll
GET/api/employee-payrolls/{id}
Required permissions:
- payroll.employees: allows view of employee payrolls.
Request
Path Parameters
Possible values: Value must match regular expression [0-9]+
The ID of the employee payroll to view
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 404
- 412
Returns the requested employee payroll.
- application/json
- Schema
- Example (from schema)
Schema
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
The ID of the employee
The ID of the business unit
The yearly cost of the employee payroll (excluding taxes)
The total taxes of the employee payroll
The start date of the employee payroll period
The end date of the employee payroll period
{
"id": 1,
"created_at": "2026-02-20T17:23:21.551Z",
"updated_at": "2026-02-20T17:23:21.551Z",
"employee_id": 1,
"business_unit_id": 1,
"cost": 12000,
"taxes": 10,
"from": "2025-01",
"to": "2025-12"
}
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Not found
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "not_found",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}